TrinomialTree Class Reference
Lattice methods

Recombining trinomial tree class. More...

`#include <ql/methods/lattices/trinomialtree.hpp>`

Inheritance diagram for TrinomialTree:
[legend]

## Public Types

enum | Branches { branches = 3 }

## Public Member Functions

| TrinomialTree (const boost::shared_ptr< StochasticProcess1D > &process, const TimeGrid &timeGrid, bool isPositive=false)
Real | dx (Size i) const
const TimeGrid & | timeGrid () const
Size | size (Size i) const
Real | underlying (Size i, Size index) const
Size | descendant (Size i, Size index, Size branch) const
Real | probability (Size i, Size index, Size branch) const
Public Member Functions inherited from Tree< TrinomialTree >
| Tree (Size columns)
Size | columns () const

## Protected Attributes

std::vector< Branching > | branchings_
Real | x0_
std::vector< Real > | dx_
TimeGrid | timeGrid_

## Additional Inherited Members

Protected Member Functions inherited from CuriouslyRecurringTemplate< TrinomialTree >
TrinomialTree & | impl ()
const TrinomialTree & | impl () const

## Detailed Description

Recombining trinomial tree class.

This class defines a recombining trinomial tree approximating a 1-D stochastic process.

Warning:
  The diffusion term of the SDE must be independent of the underlying process.